package com.example.assignment1;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {

    protected EventButtonSharedPreferenceHelper firstEventButton;
    protected EventButtonSharedPreferenceHelper secondEventButton;
    protected EventButtonSharedPreferenceHelper thirdEventButton;

    protected Button settingsButton = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        settingsButton = findViewById(R.id.settings_button);

        firstEventButton = new EventButtonSharedPreferenceHelper(MainActivity.this, EventButton.FIRST);
        secondEventButton = new EventButtonSharedPreferenceHelper(MainActivity.this, EventButton.SECOND);
        thirdEventButton = new EventButtonSharedPreferenceHelper(MainActivity.this, EventButton.THIRD);

        settingsButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Create an Intent to start the SettingsActivity
                goToSettingsActivity();
            }
        });
    }

    protected void onStart()
    {
        super.onStart();

        if(
            firstEventButton.getEventButtonName(EventButton.FIRST) == null ||
            secondEventButton.getEventButtonName(EventButton.SECOND) == null ||
            thirdEventButton.getEventButtonName(EventButton.THIRD) == null) {

            goToSettingsActivity();
        }
    }

    private void goToSettingsActivity() {
        Intent intent = new Intent(MainActivity.this, SettingsActivity.class);
        startActivity(intent);
    }
}